uuid: a434d674-eac2-4575-a330-2a46cec5cefd
langcode: en
status: open
dependencies: {  }
weight: 0
open: null
close: null
uid: 12
template: false
archive: false
id: showandtell
title: 'Show and Tell'
description: 'Submit an idea for Show and Tell.'
category: 'Show and Tell'
elements: |
  your_name:
    '#type': webform_name
    '#title': 'Your name'
    '#title__access': false
    '#first__title': 'Your Name'
    '#middle__access': false
    '#last__access': false
    '#suffix__access': false
    '#degree__access': false
  your_email_address:
    '#type': email
    '#title': 'Your email address'
    '#required': true
  i_would_like_to:
    '#type': select
    '#title': 'I would like to'
    '#description': 'Tell us how you would like to take part in Show and Tell or send us a suggestion.'
    '#options':
      'present a demo': 'Present a demo'
      'do a presentation': 'Do a presentation'
      'start a conversation': 'Start a conversation'
      'suggest a topic for discussion': 'Suggest a topic for discussion'
      'request a presentation': 'Request a presentation'
      'suggest a presenter': 'Suggest a presenter'
      'give a lightning talk': 'Give a lightning talk'
    '#empty_option': 'Choose one'
    '#empty_value': 'Choose one'
    '#options_randomize': true
  contact_email:
    '#type': email
    '#title': 'Email address of the presenter you are suggesting'
    '#description': 'Let us know how to contact the suggested presenter or speaker.'
    '#states':
      visible:
        ':input[name="i_would_like_to"]':
          value: 'suggest a presenter'
  details:
    '#type': textarea
    '#title': Details
    '#description': 'Tell us some details about your request. If you have something to present or would like to do a demo, write a short description. If you have a suggestion, write it here.'
  i_am_available:
    '#type': date
    '#title': 'I am available'
    '#description': 'Choose a date that you are available.'
    '#date_days':
      - '3'
    '#datepicker': true
    '#date_date_format': m/d/Y
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: ''
  ajax_progress_type: ''
  ajax_effect: ''
  ajax_speed: null
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  page_theme_name: ''
  form_title: both
  form_submit_once: false
  form_open_message: ''
  form_close_message: ''
  form_exception_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_disable_remote_addr: false
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_autofocus: false
  form_details_toggle: false
  form_reset: false
  form_access_denied: default
  form_access_denied_title: ''
  form_access_denied_message: ''
  form_access_denied_attributes: {  }
  form_file_limit: ''
  form_attributes: {  }
  form_method: ''
  form_action: ''
  share: false
  share_node: false
  share_theme_name: ''
  share_title: true
  share_page_body_attributes: {  }
  submission_label: ''
  submission_exception_message: ''
  submission_locked_message: ''
  submission_log: false
  submission_excluded_elements: {  }
  submission_exclude_empty: false
  submission_exclude_empty_checkbox: false
  submission_views: {  }
  submission_views_replace: {  }
  submission_user_columns: {  }
  submission_user_duplicate: false
  submission_access_denied: default
  submission_access_denied_title: ''
  submission_access_denied_message: ''
  submission_access_denied_attributes: {  }
  previous_submission_message: ''
  previous_submissions_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_progress_link: false
  wizard_progress_states: false
  wizard_start_label: ''
  wizard_preview_link: false
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_auto_forward: true
  wizard_auto_forward_hide_next_button: false
  wizard_keyboard: true
  wizard_track: ''
  wizard_prev_button_label: ''
  wizard_next_button_label: ''
  wizard_toggle: false
  wizard_toggle_show_label: ''
  wizard_toggle_hide_label: ''
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  preview_exclude_empty_checkbox: false
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  draft_pending_single_message: ''
  draft_pending_multiple_message: ''
  confirmation_type: page
  confirmation_url: ''
  confirmation_title: ''
  confirmation_message: ''
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  confirmation_update: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_total_unique: false
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  limit_user_unique: false
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  results_customize: false
  token_view: false
  token_update: false
  token_delete: false
  serial_disabled: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
  configuration:
    roles: {  }
    users: {  }
    permissions: {  }
handlers: {  }
variants: {  }
